--mod-version:3

local config = require "core.config"
local common = require "core.common"
local core = require "core"

package.cpath = package.cpath .. ";" .. USERDIR .. "/plugins/bulb/?.so"

-- Globals
-- BULB_PLUGIN_DIR = USERDIR .. "/bulb-plugins"
-- BULB_CACHE_DIR = BULB_PLUGIN_DIR .. "/.cache"

local bulb = require "libbulb"

config.plugins.bulb = common.merge({
    repos = {
        {
            url = "https://github.com/lite-xl/lite-xl-plugins",
            plugins = {
                "plugin1",
                "plugin2"
            }
        }
    },
    clean_repos = false,
    install_optionals = false
}, config.plugins.bulb)

local quit_default = core.quit

function core.quit()
    -- bulb.state.clean()
    quit_default()
end

core.log(bulb.init(config.plugins.bulb))
